Reviewee

Register the authenticated user as a Reviewee

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
displayNamestringOptional
preferencesstring[]Optional
Responses
chevron-right
200

Reviewee registered successfully

application/json
codestringOptional
messagestringOptional
post
/api/v1/reviewee

Get Reviewee details by ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idinteger · int64Required

ID of the Reviewee

Responses
chevron-right
200

Reviewee data retrieved

application/json
codestringOptional
messagestringOptional
get
/api/v1/reviewee/{id}

Update Reviewee details

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idinteger · int64Required

ID of the Reviewee to update (must match authenticated user's reviewee profile or be admin)

Body
displayNamestringOptional
preferencesstring[]Optional
Responses
chevron-right
200

Reviewee updated successfully

application/json
codestringOptional
messagestringOptional
put
/api/v1/reviewee/{id}

Last updated